Top Description Interfaces Classes
[default module]

Package org.bouncycastle.cms


A package for processing RFC 3852 Cryptographic Message Syntax (CMS) objects - also referred to as PKCS#7 (formerly RFC 2630, 3369).

Interface Summary

Modifier and TypeInterface and Description
pack-priv interface
public interface
CMSAttributeTableGenerator

Note

The SIGNATURE parameter is only available when generating unsigned attributes.

public interface
CMSProcessable

Use CMSTypedData instead of this.

pack-priv interface
pack-priv interface
public interface
public interface
CMSSignatureEncryptionAlgorithmFinder

Finder which is used to look up the algorithm identifiers representing the encryption algorithms that are associated with a particular signature algorithm.

public interface
pack-priv interface
EdECObjectIdentifiers

Edwards Elliptic Curve Object Identifiers (RFC 8410)

public interface
public interface
public interface
public interface
public interface
public interface
public interface

Class Summary

Modifier and TypeClass and Description
public class
CMSAbsentContent

a class representing null or absent content.

public class
public class
public class
CMSAuthenticatedData

containing class for an CMS Authenticated Data object

public class
CMSAuthenticatedDataGenerator

General class for generating a CMS authenticated-data message.

public class
CMSAuthenticatedDataParser

Parsing class for an CMS Authenticated Data object from an input stream.

public class
CMSAuthenticatedDataStreamGenerator

General class for generating a CMS authenticated-data message stream.

public class
public class
CMSAuthEnvelopedData

containing class for an CMS AuthEnveloped Data object

public class
CMSAuthEnvelopedGenerator

General class for generating a CMS enveloped-data message.

public class
CMSCompressedData

containing class for an CMS Compressed Data object

    CMSCompressedData cd = new CMSCompressedData(inputStream);

    process(cd.getContent(new ZlibExpanderProvider()));
public class
CMSCompressedDataGenerator

General class for generating a compressed CMS message.

public class
CMSCompressedDataParser

Class for reading a CMS Compressed Data stream.

public class
CMSCompressedDataStreamGenerator

General class for generating a compressed CMS message stream.

public class
public class
public class
CMSDigestedData

containing class for an CMS Digested Data object

    CMSDigestedData cd = new CMSDigestedData(inputStream);


    process(cd.getContent());
public class
public class
CMSEncryptedDataGenerator

General class for generating a CMS encrypted-data message.

public class
CMSEncryptedGenerator

General class for generating a CMS encrypted-data message.

public class
CMSEnvelopedData

containing class for an CMS Enveloped Data object

Example of use - assuming the first recipient matches the private key we have.

public class
CMSEnvelopedDataGenerator

General class for generating a CMS enveloped-data message.

public class
CMSEnvelopedDataParser

Parsing class for an CMS Enveloped Data object from an input stream.

public class
CMSEnvelopedDataStreamGenerator

General class for generating a CMS enveloped-data message stream.

public class
CMSEnvelopedGenerator

General class for generating a CMS enveloped-data message.

pack-priv class
public class
public class
CMSPatchKit

Toolkit methods for dealing with common errors in CMS classes.

public class
CMSProcessableByteArray

a holding class for a byte array of data to be processed.

public class
CMSProcessableFile

a holding class for a file of data to be processed.

pack-priv class
public class
public class
CMSSignedData

general class for handling a pkcs7-signature message.

public class
CMSSignedDataGenerator

general class for generating a pkcs7-signature message.

public class
CMSSignedDataParser

Parsing class for an CMS Signed Data object from an input stream.

public class
CMSSignedDataStreamGenerator

General class for generating a pkcs7-signature message stream.

public class
pack-priv class
public class
public class
public class
pack-priv class
public class
public class
DefaultAuthenticatedAttributeTableGenerator

Default authenticated attributes generator.

public class
public class
public class
DefaultSignedAttributeTableGenerator

Default signed attributes generator.

public class
public abstract class
public class
KEKRecipientInformation

the RecipientInfo class for a recipient who has been sent a message encrypted using a secret key known to the other side.

public class
public abstract class
public class
KeyAgreeRecipientInformation

the RecipientInfo class for a recipient who has been sent a message encrypted using key agreement.

public class
public abstract class
public class
KeyTransRecipientInformation

the KeyTransRecipientInformation class for a recipient who has been sent a secret key encrypted using their public key that needs to be used to extract the message.

pack-priv class
pack-priv class
OriginatorId

a basic index for an originator.

public class
public class
public class
public abstract class
public class
PasswordRecipientInformation

the RecipientInfo class for a recipient who has been sent a message encrypted using a password.

public class
public class
public abstract class
public abstract class
public class
public class
public class
SignerId

a basic index for a signer.

public class
public class
SignerInfoGeneratorBuilder

Builder for SignerInfo generator objects.

public class
SignerInformation

an expanded SignerInfo block from a CMS Signed message

public class
public class
public class
SimpleAttributeTableGenerator

Basic generator that just returns a preconstructed attribute table